﻿<%@ WebHandler Language="C#" Class="NewArrivals" %>

using System;
using System.Web;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Web.Script.Serialization;


public class NewArrivals : IHttpHandler
{

    public void ProcessRequest(HttpContext context)
    {
        
        string callback = context.Request.QueryString["callback"];
        string code = "";
        code=context.Request.QueryString["code"].Trim();
        string json = this.GetCustomersJSON(code);
        if (!string.IsNullOrEmpty(callback))
        {
            json = string.Format("{0}({1});", callback, json);
        }

        context.Response.ContentType = "application/json";
        context.Response.Write(json);
    }

    private string GetCustomersJSON(string code)
    {

        List<object> newarrival = new List<object>();
        try
        {
            // conn.ConnectionString = ConnectionStrings["Latest_library"].ConnectionString;
            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["Mylib"].ConnectionString.ToString());
            SqlCommand cmd = new SqlCommand();
            string qry = "SELECT  [slno]   ,[title]  ,[author] ,[publisher]  ,[edition]  ,[imagename] FROM [newarrivals] ";

            cmd.CommandText = qry;
            cmd.Connection = conn;
            conn.Open();
            using (SqlDataReader sdr = cmd.ExecuteReader())
            {
                while (sdr.Read())
                {
                    newarrival.Add(new
                    {
                        code = sdr[0].ToString(),
                        title = sdr[1],
                        author = sdr[2],
                        publisher = sdr[3],
                        edition = sdr[4],
                        image = sdr[5],
                    });
                }

            } conn.Close();
        }
        catch (Exception ex)
        {
            newarrival.Add(new
                   {
                       error = "Error : " + ex.Message,
                   });
        }
        return (new JavaScriptSerializer().Serialize(newarrival));
    }  
    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}