﻿<%@ WebHandler Language="C#" Class="Gallary" %>

using System;
using System.Web;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Web.Script.Serialization;


public class Gallary : IHttpHandler {

    public void ProcessRequest(HttpContext context)
    {
        
        string callback = context.Request.QueryString["callback"];
        string code = "";
        code=context.Request.QueryString["code"].Trim();
        string json = this.GetCustomersJSON(code);
        if (!string.IsNullOrEmpty(callback))
        {
            json = string.Format("{0}({1});", callback, json);
        }

        context.Response.ContentType = "application/json";
        context.Response.Write(json);
    }

    private string GetCustomersJSON(string code)
    {

        List<object> Gallery = new List<object>();
        try
        {
            // conn.ConnectionString = ConnectionStrings["Latest_library"].ConnectionString;
            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["Mylib"].ConnectionString.ToString());
            SqlCommand cmd = new SqlCommand();
            string qry = "select slno,Imagename,Description from SlideShowTable";

            cmd.CommandText = qry;
            cmd.Connection = conn;
            conn.Open();
            using (SqlDataReader sdr = cmd.ExecuteReader())
            {
                while (sdr.Read())
                {
                    Gallery.Add(new
                    {
                        description = sdr[2].ToString(),
                        image = sdr[1],
                    });
                }

            } conn.Close();
        }
        catch (Exception ex)
        {
            Gallery.Add(new
                   {
                       error = "Error : " + ex.Message,
                   });
        }
        return (new JavaScriptSerializer().Serialize(Gallery));
    }  
    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}