﻿<%@ WebHandler Language="C#" Class="UploadHandler" %>

using System;
using System.Web;
using System.IO;

public class UploadHandler : IHttpHandler {

    public void ProcessRequest(HttpContext context)
    {
        try
        {
            if (context.Request.Files.Count > 0)
            {
                HttpFileCollection files = context.Request.Files;
                for (int i = 0; i < files.Count; i++)
                {
                    HttpPostedFile file = files[i];
                    string myName = context.Request.Form["Name"];
                    int length = file.ContentLength;
                    byte[] imgbyte = new byte[length];
                    file.InputStream.Read(imgbyte, 0, length);
                    OpacDataLayer LDL = new OpacDataLayer();

                    int slno =Convert.ToInt32(LDL.RetStraing("select isnull(max(slno),0)+1 from SlideShowTable"));
                    string extension = Path.GetExtension(file.FileName);
                    string FileName = slno + extension;
                    Stream strm = file.InputStream;
                    string path = context.Server.MapPath("Images/GalleryThumnails/" + FileName);
                    var targetFile = path;
                    GenerateThumbnails(0.5, strm, targetFile);
                    file.SaveAs(context.Server.MapPath("Images/Gallery/" + FileName));
                 //  LDL.insertGalary(myName, fi, slno);
                    LDL.SaveOrUpdate("Insert into SlideShowTable(slno,Imagename,Description) values('" + slno + "','"+FileName+"','" + myName + "')");
                    
                    context.Response.ContentType = "text/plain";
                    context.Response.Write("Database Submited successful");
                }
            }
        }
        catch (Exception ex)
        {
            context.Response.ContentType = "text/plain";
            context.Response.Write("Files Not Saved... please refresh page and try again" + ex.Message);
        }
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }
     private void GenerateThumbnails(double scaleFactor, Stream sourcePath, string targetPath)
    {
        using (var image = System.Drawing.Image.FromStream(sourcePath))
        {
            var newWidth = (int)(image.Width * scaleFactor);
            var newHeight = (int)(image.Height * scaleFactor);
            var thumbnailImg = new System.Drawing.Bitmap(newWidth, newHeight);
            var thumbGraph = System.Drawing.Graphics.FromImage(thumbnailImg);
            thumbGraph.CompositingQuality = System.Drawing.Drawing2D.CompositingQuality.HighQuality;
            thumbGraph.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
            thumbGraph.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.HighQualityBicubic;
            var imageRectangle = new System.Drawing.Rectangle(0, 0, newWidth, newHeight);
            thumbGraph.DrawImage(image, imageRectangle);
            thumbnailImg.Save(targetPath, image.RawFormat);
        }

    }

}
